# Match Companies

Match to HG companies by company name, country code and/or domain URL.

Limited to maximum of 10 companies and sorted by relevance and revenue.

Endpoint: GET /data-api/v1/company/match
Security: authorization

## Query parameters:

  - `company_name` (string)
    Name of the company to search for.

  - `country_code` (string)
    The country where the company's global headquarters resides. Can be a country name or an ISO 3166 alpha-2 code.

  - `domain_name` (string)
    The domain URL associated with the company.

  - `limit` (integer)
    The limit of results to be returned. Default of 10.

## Response 200 fields (application/json):

  - `count` (integer)
    Record count

  - `data` (array)

  - `data.company_id` (string, required)
    Company ID

  - `data.company_name` (string, required)
    Company name

  - `data.domain_name` (string, required)
    Company main domain_name

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.detail` (string, required)
    Example: The token provided is not valid

  - `errors.source` (string)

  - `errors.title` (string, required)
    Example: Unauthorized

## Response 422 fields (application/json):

  - `errors` (array, required)

  - `errors.detail` (string, required)
    Example: null value where string expected

  - `errors.source` (object, required)

  - `errors.source.pointer` (string, required)
    Example: /data/attributes/petName

  - `errors.title` (string, required)
    Example: Invalid value

